Support » Plugin: Display Featured Image for Genesis » Errors after upgrading to PHP 7.4

  • I updated my server to PHP 7.4 today and now I”m getting the following errors:
    Notice: Trying to access array offset on value of type bool in /home/thefit35/public_html/wp-content/plugins/display-featured-image-genesis/includes/class-displayfeaturedimagegenesis-common.php on line 64

    Notice: Trying to access array offset on value of type bool in /home/thefit35/public_html/wp-content/plugins/display-featured-image-genesis/includes/output/class-displayfeaturedimagegenesis-output.php on line 298

    Seems this was an issue with other plugins too. Any news on a fix?

Viewing 2 replies - 1 through 2 (of 2 total)
  • Plugin Author Robin Cornett

    (@littlerchicken)

    Thank you for reporting this. From what I can tell, it happens when no featured image is retrieved by the plugin, so some secondary checks fail.

    I’ve pushed an update which should fix this to the repository on Github (the develop branch), if you have a way to safely swap out the two affected files (/includes/output/class-displayfeaturedimagegenesis-output.php and /includes/class-displayfeaturedimagegenesis-common.php). It is working for me locally, but I’d like to tinker with it a bit more before updating here, as there are a couple of other items in the update as well.

    I hope to have the official update out by the end of the week, but if you are not comfortable swapping the files, it may be best to temporarily downgrade to PHP 7.3. Thanks for your patience–

    Thread Starter 7billionbuddhas

    (@7billionbuddhas)

    Thanks for your quick reseponse! I will try this fix tomorrow. I had to move on to other things for now. I will let you know how it goes!

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘Errors after upgrading to PHP 7.4’ is closed to new replies.